Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1287 - gmenu is busted. still.
Summary: gmenu is busted. still.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-23 00:03 UTC by Bill Nottingham
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-14 03:01:16 UTC


Attachments (Terms of Use)

Description Bill Nottingham 1999-02-23 00:03:37 UTC
[notting@bobby:~ ]$ mv .gnome .cow

[notting@bobby:~ ]$ gdb gmenu
GNU gdb 981029 with Linux/x86 hardware watchpoint and FPU
support
<snip>
(gdb) run
Starting program: /usr/bin/gmenu
Unable to connect to server port 35091
This generally means that the program could not talk to the
esound server
creating user directory: /home/devel/notting/.gnome/apps
creating user directory: /home/devel/notting/.gnome/pixmaps

Program received signal SIGSEGV, Segmentation fault.
chunk_free (ar_ptr=0xffffc1c4, p=0x404c6a88) at
malloc.c:2938
2938malloc.c: No such file or directory.
(gdb) bt
#0  chunk_free (ar_ptr=0xffffc1c4, p=0x404c6a88) at
malloc.c:2938
#1  0x4043cd47 in __libc_free (mem=0x404c6a90) at
malloc.c:2912
#2  0x403d2215 in g_free ()
#3  0x40348f7b in free_sections()
#4  0x40348fd2 in free_profile ()
#5  0x40348fca in free_profile ()
<snip>
#1222 0x40348fca in free_profile ()
#1223 0x403498cf in gnome_config_drop_all ()
#1224 0x403490e2 in gnome_config_sync ()
#1225 0x4003adec in write_layout_config ()
#1226 0x4003b149 in layout_changed ()
#1227 0x40205f4b in gtk_marshal_NONE__NONE ()
#1228 0x401ce007 in gtk_handlers_run ()
#1229 0x401cd5f1 in gtk_signal_real_emit ()
#1230 0x401cb8e0 in gtk_signal_emit ()
#1231 0x40060519 in gnome_dock_add_item ()
#1232 0x4006579d in gnome_dock_layout_add_to_dock ()
#1233 0x400609ff in gnome_dock_add_from_layout ()
#1234 0x4003aff7 in gnome_app_show ()
#1235 0x40205f4b in gtk_marshal_NONE__NONE ()
#1236 0x401cd4cb in gtk_signal_real_emit ()
#1237 0x401cb8e0 in gtk_signal_emit ()
#1238 0x401fac78 in gtk_widget_show ()
#1239 0x804c38a in main ()
(gdb)


Note You need to log in before you can comment on or make changes to this bug.